import org.jetbrains.kotlin.gradle.tasks.KotlinCompile

plugins {
    `java-library`
    kotlin("jvm")
}

group = "com.anthonycicchetti.financetracker"
version = "0.1.0"

repositories {
    mavenCentral()
    google()
    jcenter()
}

dependencies {
    api(Libs.jackson_module_kotlin)
    api(Libs.kotlin_reflect)

    testImplementation(Libs.junit_jupiter_api)
    testRuntimeOnly(Libs.junit_jupiter_engine)
}

tasks.withType<KotlinCompile> {
    kotlinOptions {
        jvmTarget = "1.8"
    }
}

tasks.named<Test>("test") {
    useJUnitPlatform()
}

tasks.named<Delete>("clean") {
    delete(rootProject.buildDir)
}
